* Encoding: UTF-8.
/*********************************************************************************************************/
/*                                                                                                                                 */
/* This SPSS program will extract the United States Sentencing Commission's 2019          */
/*Mandatory Minimum Penalties For Sex Offenses In The Federal Criminal Justice System:*/
/* Child Pornography Offenses report file and create a SAS dataset.                                  */
/*                                                                                                                                 */
/* Prior to running the program you must update the DAT file location in the                       */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your           */
/* computer.                                                                                                                 */
/*                                                                                                                                 */
/* You must also update the file output location in the SAVE OUTFILE statement at the     */
/* end of the program to correspond to the folder you want the output file to be located.       */
/*                                                                                                                                 */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME="./USSC_CP_MM_Report_2019_Public.dat" LRECL=39 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              mandatory 8-15           mandatory2 16-23      
   pornoff 24-31            pornoff2 32-39 .      

VARIABLE LABELS
   USSCIDN 'USSCIDN'
.

SAVE OUTFILE='./USSC_CP_MM_Report_2019_Public.sav'.
